package cn.hmsoft.pay.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 商户使用了哪些渠道
 * 
 * @author: Zhang XiaoQing
 * @date: 2017-08-21 15:36:53
 * @version: 4.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PAY_MERCHANT_CHANNEL", keyColumn = "MC_ID", sequenceName = "MC_ID")
public class PayMerchantChannel implements Serializable {
	private static final long serialVersionUID = 6694646348100741645L;
	private Integer mc_id;
	//支付结果回传路径
	private String notice_url;
	//支付成功后页面
	private String page_url;
	//查询商品地址
	private String query_url;
	//商户编号
	private String merchant_id;
	//渠道编号
	private String channel_id;
	//对应银行商户号
	private String bank_merchant_id;
	//对应银行的商户名称
	private String bank_merchant_name;
	//对应银行的商户密码
	private String bank_merchant_pass;
	//公钥文件位置
	private String public_key_path;
	//私钥文件位置
	private String private_key_path;
	//对应银行的商户证书地址
	private String bank_merchant_key;
	//默认商品名称
	private String channel_goods_name;
	//小图标
	private String small_image;
	//中等图标
	private String normal_image;
	//大图标
	private String large_image;
	//是否正在运行
	private String mc_status;
	//参数信息
	private String mc_params;

	
	
	public Integer getMc_id() {
		return mc_id;
	}

	public void setMc_id(Integer mc_id) {
		this.mc_id = mc_id;
	}

	/****
	 * 支付结果回传路径
	 */
	public String getNotice_url() {
		return this.notice_url;
	}

	/****
	 * 支付结果回传路径
	 */
	public void setNotice_url(String notice_url) {
		this.notice_url = notice_url;
	}

	/****
	 * 支付成功后页面
	 */
	public String getPage_url() {
		return this.page_url;
	}

	/****
	 * 支付成功后页面
	 */
	public void setPage_url(String page_url) {
		this.page_url = page_url;
	}

	/****
	 * 查询商品地址
	 */
	public String getQuery_url() {
		return this.query_url;
	}

	/****
	 * 查询商品地址
	 */
	public void setQuery_url(String query_url) {
		this.query_url = query_url;
	}

	/****
	 * 商户编号
	 */
	public String getMerchant_id() {
		return this.merchant_id;
	}

	/****
	 * 商户编号
	 */
	public void setMerchant_id(String merchant_id) {
		this.merchant_id = merchant_id;
	}

	/****
	 * 渠道编号
	 */
	public String getChannel_id() {
		return this.channel_id;
	}

	/****
	 * 渠道编号
	 */
	public void setChannel_id(String channel_id) {
		this.channel_id = channel_id;
	}

	/****
	 * 对应银行商户号
	 */
	public String getBank_merchant_id() {
		return this.bank_merchant_id;
	}

	/****
	 * 对应银行商户号
	 */
	public void setBank_merchant_id(String bank_merchant_id) {
		this.bank_merchant_id = bank_merchant_id;
	}

	/****
	 * 对应银行的商户名称
	 */
	public String getBank_merchant_name() {
		return this.bank_merchant_name;
	}

	/****
	 * 对应银行的商户名称
	 */
	public void setBank_merchant_name(String bank_merchant_name) {
		this.bank_merchant_name = bank_merchant_name;
	}

	/****
	 * 对应银行的商户密码
	 */
	public String getBank_merchant_pass() {
		return this.bank_merchant_pass;
	}

	/****
	 * 对应银行的商户密码
	 */
	public void setBank_merchant_pass(String bank_merchant_pass) {
		this.bank_merchant_pass = bank_merchant_pass;
	}

	/****
	 * 公钥文件位置
	 */
	public String getPublic_key_path() {
		return this.public_key_path;
	}

	/****
	 * 公钥文件位置
	 */
	public void setPublic_key_path(String public_key_path) {
		this.public_key_path = public_key_path;
	}

	/****
	 * 私钥文件位置
	 */
	public String getPrivate_key_path() {
		return this.private_key_path;
	}

	/****
	 * 私钥文件位置
	 */
	public void setPrivate_key_path(String private_key_path) {
		this.private_key_path = private_key_path;
	}

	/****
	 * 对应银行的商户证书地址
	 */
	public String getBank_merchant_key() {
		return this.bank_merchant_key;
	}

	/****
	 * 对应银行的商户证书地址
	 */
	public void setBank_merchant_key(String bank_merchant_key) {
		this.bank_merchant_key = bank_merchant_key;
	}

	/****
	 * 默认商品名称
	 */
	public String getChannel_goods_name() {
		return this.channel_goods_name;
	}

	/****
	 * 默认商品名称
	 */
	public void setChannel_goods_name(String channel_goods_name) {
		this.channel_goods_name = channel_goods_name;
	}

	/****
	 * 小图标
	 */
	public String getSmall_image() {
		return this.small_image;
	}

	/****
	 * 小图标
	 */
	public void setSmall_image(String small_image) {
		this.small_image = small_image;
	}

	/****
	 * 中等图标
	 */
	public String getNormal_image() {
		return this.normal_image;
	}

	/****
	 * 中等图标
	 */
	public void setNormal_image(String normal_image) {
		this.normal_image = normal_image;
	}

	/****
	 * 大图标
	 */
	public String getLarge_image() {
		return this.large_image;
	}

	/****
	 * 大图标
	 */
	public void setLarge_image(String large_image) {
		this.large_image = large_image;
	}

	/****
	 * 是否正在运行
	 */
	public String getMc_status() {
		return this.mc_status;
	}

	/****
	 * 是否正在运行
	 */
	public void setMc_status(String mc_status) {
		this.mc_status = mc_status;
	}

	/****
	 * 参数信息
	 */
	public String getMc_params() {
		return this.mc_params;
	}

	/****
	 * 参数信息
	 */
	public void setMc_params(String mc_params) {
		this.mc_params = mc_params;
	}
	
}